Name:           pelican
Version:        3.6.3
Release:        1%{dist}
Url:            http://pelican.notmyidea.org/
Summary:        A tool to generate a static blog, with restructured text (or markdown) input files.
License:        GPLv3
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-setuptools
Requires:       python
Requires:       python-jinja2
Requires:       python-markdown
#Requires:      python-argparse
Requires:       python-feedgenerator >= 1.5
Requires:       python-blinker
Requires:       python-pygments
Requires:       python-unidecode
Requires:       python-feedparser
Requires:       python-six
Requires:       python-docutils
Requires:       pytz
Requires:       rst2pdf


%description
A tool to generate a static blog, with restructured text (or markdown) input files.


%prep
%setup -q -n %{name}-%{version}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/pelican*
%{python_sitelib}/%{name}/*
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info/*


%changelog
